../../lib/libriplu.a: lu.o lu_whois.o
	$(AR) -r ../../lib/libriplu.a lu.o lu_whois.o
	$(AR) -r $(RIPLIBDIR)/librip.a lu.o lu_whois.o

include ../Makefile.module

lu.c: lu.h
	touch lu.c

lu_whois.c: lu_whois.h ../lg/lg.h ../sk/sk.h ../ut/memwrap.h
	touch lu_whois.c

lu_whois.h: lu.h
	touch lu_whois.h

lu.h: ../rpsl/syntax_api.h ../lg/lg.h
	touch lu.h

test: test_lu_whois.c
	$(CC) $(CFLAGS) -o test_lu_whois test_lu_whois.c $(LFLAGS) $(LIBS) \
	lu.o lu_whois.o -lrip -lpthread

